| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | List of all members
cv::CalibrateRobertson Class Referenceabstract
Computational Photography » HDR imaging

Inverse camera response function is extracted for each brightness value by minimizing an objective function as linear system. This algorithm uses all image pixels. More...

`#include "photo.hpp"`

Inheritance diagram for cv::CalibrateRobertson:

## Public Member Functions
virtual int | getMaxIter () const =0
virtual Mat | getRadiance () const =0
virtual float | getThreshold () const =0
virtual void | setMaxIter (int max_iter)=0
virtual void | setThreshold (float threshold)=0
Public Member Functions inherited from cv::CalibrateCRF
virtual void | process (InputArrayOfArrays src, OutputArray dst, InputArray times)=0
| Recovers inverse camera response. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Inverse camera response function is extracted for each brightness value by minimizing an objective function as linear system. This algorithm uses all image pixels.

For more information see [160] .

## Member Function Documentation

## § getMaxIter()

virtual int cv::CalibrateRobertson::getMaxIter | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.CalibrateRobertson.getMaxIter( |  | )

## § getRadiance()

virtual Mat cv::CalibrateRobertson::getRadiance | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.CalibrateRobertson.getRadiance( |  | )

## § getThreshold()

virtual float cv::CalibrateRobertson::getThreshold | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.CalibrateRobertson.getThreshold( |  | )

## § setMaxIter()

virtual void cv::CalibrateRobertson::setMaxIter | ( | int | max_iter | ) |
| pure virtual

Python:
| None | = | cv.CalibrateRobertson.setMaxIter( | max_iter | )

## § setThreshold()

virtual void cv::CalibrateRobertson::setThreshold | ( | float | threshold | ) |
| pure virtual

Python:
| None | = | cv.CalibrateRobertson.setThreshold( | threshold | )

The documentation for this class was generated from the following file:

- photo/include/opencv2/photo.hpp